Bug 502284 - Cannot Configure Display Settings
Cannot Configure Display Settings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
http://rafb.net/p/ZlzBAi44.html
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 01:44 EDT by Marc Ferguson
Modified: 2009-12-18 04:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace of crash (928 bytes, text/plain)
2009-05-23 01:49 EDT, Arthur Pemberton
no flags Details
Xorg config file (1.71 KB, text/plain)
2009-05-26 22:25 EDT, Marc Ferguson
no flags Details

  None (edit)
Description Marc Ferguson 2009-05-23 01:44:52 EDT
Description of problem:
When I run the command "system-config-display" in terminal, I get what looks like a Python error.  If I click on "System | Administration | Display", I'll get a prompt for my root password, but after that nothing happens.

Version-Release number of selected component (if applicable):
system-config-display-1.1.1-1.fc10.noarch

How reproducible:
It happens every time I try to do it.

Steps to Reproduce:
1. open a terminal
2. type "system-config-display" and hit the <ENTER> key

or

1. click on the "System | Administration | Display" links on the top panel
2. type in root password, after prompt for it, and hit the <ENTER> key
  
Actual results:
1. via terminal, I get a python error (http://rafb.net/p/ZlzBAi44.html)
2. via GUI, I get no action.

Expected results:
In both cases I expect the "Display" configuration window to load.

Additional info:
Comment 1 Arthur Pemberton 2009-05-23 01:49:34 EDT
Created attachment 345179 [details]
Stack trace of crash

Reporter may not be aware of the volatile nature of rafb.net/paste, so I've copied the trace into a text file attachment.
Comment 2 Adam Jackson 2009-05-26 18:33:41 EDT
Can you attach your /etc/X11/xorg.conf file please?
Comment 3 Marc Ferguson 2009-05-26 22:25:52 EDT
Created attachment 345551 [details]
Xorg config file
Comment 4 Matěj Cepl 2009-05-27 17:18:09 EDT
(In reply to comment #1)
> Created an attachment (id=345179) [details]
> Stack trace of crash
> 
> Reporter may not be aware of the volatile nature of rafb.net/paste, so I've
> copied the trace into a text file attachment.  

This is slightly more readable:

[root@fergatron ~]# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 312, in <module>
    hardware_state = XF86HardwareState(xconfig)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 174, in __init__
    self.init_from_xconfig(xconfig)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 293, in init_from_xconfig
    self.all_resolutions.sort (compare_resolution)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 57, in compare_resolution
    (w1, h1) = resolution_from_string(res1)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 47, in resolution_from_string
    return (int(tokens[0]), int(tokens[1]))
IndexError: list index out of range
/usr/share/system-config-display/system-config-display: line 2:  3181 Segmentation fault      python2 /usr/share/system-config-display/xconf.py $@
Comment 5 Bug Zapper 2009-11-18 07:00:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:29:09 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.